rascsi(1)

NAME
rascsi - Emulates SCSI devices using the Raspberry Pi GPIO pins

SYNOPSIS
rascsi [-IDn file] [-HDn file]...

DESCRIPTION
rascsi Emulates SCSI devices using the Raspberry Pi GPIO pins.

In the arguments to RaSCSI, one or more SCSI (-IDn) or SASI (-HDn) devices can be specified. The number (n) after the ID or HD idnetifier specifies the ID number for that device. For SCSI: The ID is limited from 0-7. However, typically SCSI ID 7 is reserved for the "initiator" (the host computer).Note that SASI is considered rare and only used on very early Sharp X68000 computers.

RaSCSI will determin the type of device based upon the file extension of the FILE argument.
    hdf: SASI Hard Disk image (XM6 SASI HD image - typically only used with X68000)
    hds: SCSI Hard Disk image (XM6 SCSI HD image - typically only used with X68000)
    hdn: SCSI Hard Disk image (NEC GENUINE)
    hdi: SCSI Hard Disk image (Anex86 HD image)
    nhd: SCSI Hard Disk image (T98Next HD image)
    hda: SCSI Hard Disk image (APPLE GENUINE - typically used with Mac SCSI emulation)
    mos: SCSI Magneto-optical image (XM6 SCSI MO image - typically only used with X68000)
    iso: SCSI CD-ROM image (ISO 9660 image)

For example, if you want to specify an Apple-compatible HD image on ID 0, you can use the following command:
    sudo rascsi -ID0 /path/to/drive/hdimage.hda Once RaSCSI starts, it will open a socket (port 6868) to allow external management commands. If another process is using port 6868, RaSCSI will terminate, since it is likely another instance of RaSCSI. Once RaSCSI has initialized, the rasctl utility can be used to send commands. To quit RaSCSI, press Control + C. If it is running in the background, you can kill it using an INT signal.

OPTIONS

-IDn FILE
    n is the SCSI ID number (0-7)

    FILE is the name of the image file to attach to that ID.

-HDn FILE
    n is the SASI ID number (0-15)

    FILE is the name of the image file to attach to that ID.

    Note: SASI usage is rare, and is typically limited to early Sharp X68000 systems.

EXAMPLES
Launch RaSCSI with no emulated drives attached:
   rascsi Launch RaSCSI with an Apple hard drive image as ID0 and a CD-ROM as ID 2
   rascsi -ID0 /path/to/harddrive.hda -ID2 /path/to/cdimage.iso To create an empty, 100MB HD image, use the following command:
   dd if=/dev/zero of=/path/to/newimage.hda bs=512 count=204800

SEE ALSO
rasctl(1), scsidump(1)

Full documentation is available at: <https://www.github.com/akuker/RASCSI/wiki/>